#include <stdio.h>
#include <stdlib.h>
typedef int (*func) ();

int main()
{
    int inc(const int n) {
	{
	    return n + 1;
	}
    }
    int dec(const int n) {
	{
	    return n - 1;
	}
    }
    int calc(const func f, const int n) {
	{
	    return (*f) (n);
	}
    }
    {
	const int a = calc(inc, 1);
	const int b = calc(dec, 1);
	printf("%d ", a);
	printf("%d ", b);
	printf("\n");
    }
}
